<?php
session_start();
include ("../BD/conexion_bd.php");
	if(!$conexion)
	{
		die("error al intentar conectar: " .mysql_error());
	}

	$fin_sub="UPDATE Sub_Tareas SET Finalizado=1 WHERE id=".$_POST['variable'];
	mysql_query($fin_sub,$conexion);



//obteniendo id de la tarea
$c1="SELECT Tareas_id FROM Sub_Tareas WHERE id=".$_POST['variable'];
$resul_c1=mysql_query($c1,$conexion);
$rowC1=mysql_fetch_assoc($resul_c1);
$ID_TAREA=$rowC1['Tareas_id'];

//comprobando si todas las subtareas de esa tarea estan finalizadas
$c2="SELECT Finalizado FROM Sub_Tareas WHERE Tareas_id=".$ID_TAREA;
$resul_c2=mysql_query($c2,$conexion);
while($rowC2=mysql_fetch_assoc($resul_c2))
{
	if($rowC2['Finalizado']==0)
	{
		$finalizado_c2=0;
		break;
	}
	else//todas finalizadas
	{
		$finalizado_c2=1;
	}
}
if($finalizado_c2)//marcar como finalizada la tarea
{
	$c3="UPDATE Tareas SET Finalizado=1 WHERE id=".$ID_TAREA;
	mysql_query($c3,$conexion);
	
	//marcar como finalizada la tarea para todos los empleados
	$c4="UPDATE Tareas_has_Empleado SET Finalizado=1, Notificado=1 WHERE Tareas_id=".$ID_TAREA;
	mysql_query($c4,$conexion);
}


//PORCENTAJE COMPLETO
$c5="SELECT Finalizado FROM Sub_Tareas WHERE Tareas_id=".$ID_TAREA;
$resul_c5=mysql_query($c5,$conexion);
$porcentaje_completo=0.0;
$num_subtareas=0;
$completadas=0;
while($registros=mysql_fetch_assoc($resul_c5))
{
	$num_subtareas++;
	if($registros['Finalizado']==1)
		$completadas++;
}
$porcentaje_completo=($completadas*100)/$num_subtareas;
$c6="UPDATE Tareas SET Porcentaje_Completo=".round($porcentaje_completo,2)." WHERE id=".$ID_TAREA;
mysql_query($c6,$conexion);
mysql_close();
?>